Subject: 24.4; python.el: native completion breaks ipython magic completion

From: Carlos Pita <[email-masked]>
Date: Fri, 30 Jan 2015 19:29:41 -0300

Hi Fabian,

I think you should be using [1] as the ipython completer. In a sense,
when you inherit from rlcompleter.Completer and replace the current
completer you're somehow going against the goal of native completion,
aren't you? Wouldn't it be better to just monkey patch the completer
returned by readline.get_completer() with your _callable_postfix in case
the completer indeed defines a _callable_postfix (it seems ipython
completer don't do that)?

Cheers
--
Carlos

[1] http://ipython.org/ipython-doc/dev/api/generated/IPython.core.completer.html